Package org.eclipse.equinox.p2.engine

# Class ProfileInUseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalStateException
org.eclipse.equinox.p2.engine.ProfileInUseException

All Implemented Interfaces:
  `Serializable`

public class ProfileInUseException extends IllegalStateException

Since:
  2.11
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ProfileInUseException(IProfile profile)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ProfileInUseException

public ProfileInUseException(IProfile profile)